OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.VDPAUInterop2

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetNVVDPAUInterop2 :: MonadIO m => m Bool
- gl_NV_vdpau_interop2 :: Bool
- glVDPAURegisterVideoSurfaceWithPictureStructureNV :: MonadIO m => Ptr a -> GLenum -> GLsizei -> Ptr GLuint -> GLboolean -> m GLvdpauSurfaceNV

# Extension Support

glGetNVVDPAUInterop2 :: MonadIO m => m Bool Source #

Is the NV_vdpau_interop2 extension supported?

gl_NV_vdpau_interop2 :: Bool Source #

Is the NV_vdpau_interop2 extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVVDPAUInterop2` in those cases instead.

# Functions

glVDPAURegisterVideoSurfaceWithPictureStructureNV Source #

Arguments

:: MonadIO m |
=> Ptr a | `vdpSurface`.
-> GLenum | `target`.
-> GLsizei | `numTextureNames`.
-> Ptr GLuint | `textureNames` pointing to `numTextureNames` elements of type `GLuint`.
-> GLboolean | `isFrameStructure` of type Boolean.
-> m GLvdpauSurfaceNV | of type `vdpauSurfaceNV`.